﻿.outlined-text {
    padding-right: 25px !important; /* Add extra space on the right for the clear icon */
}
textarea {
    overflow-y: auto !important;
    resize: none !important;
}

.mdc-text-field--textarea .mdc-text-field__input {
    margin-top: 20px !important;
}
.position-relative {
    position: relative;
}

.clear-icon {
    position: absolute;
    right: 10px; /* Adjust as needed */
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: #999;
    font-size: 20px; /* Adjust this value to make the icon bigger */
    line-height: 1; /* Ensures the icon stays aligned vertically */
}

    .clear-icon:hover {
        color: #333;
    }

.snackbar {
    display: none;
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    color: #fff;
    padding: 12px 20px;
    border-radius: 8px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.3);
    font-size: 14px;
    z-index: 9999;
    max-width: 90%; /* allow it to grow on mobile */
    width: auto; /* default auto width */
    text-align: center;
    word-wrap: break-word;
}

/* Success / Error colors */
.snackbar-success {
    background: #28a745;
}

.snackbar-error {
    background: #dc3545;
}

/* Mobile-specific styling */
@media (max-width: 600px) {
    .snackbar {
        width: 90%; /* take up most of the screen width */
        max-width: 90%;
        font-size: 16px; /* slightly larger text for readability */
    }
}
